#!/bin/sh
#
# Scripted By JoungKyun <admin@oops.org>
# This file easily used to update access.db or virtusertable.db
# and domaintable.db
#
case "$1" in
    vtable)
	if [ -f /etc/mail/virtusertable ] ; then
		echo -n "makemap : " 
		makemap hash /etc/mail/virtusertable < /etc/mail/virtusertable
		echo "virtusertable.db update OK"
	else
		echo "virtusertable doesn't exist in /etc/mail"
		exit 1;
	fi
	;;
    access)
	if [ -f /etc/mail/access ] ; then
		echo -n "makemap : " 
		makemap hash /etc/mail/access < /etc/mail/access
		echo "access.db update OK"
	else
		echo "access doesn't exist in /etc/mail"
		exit 1;
	fi
	;;
    dtable)
	if [ -f /etc/mail/domaintable ] ; then
		echo -n "makemap : " 
		makemap hash /etc/mail/domaintable < /etc/mail/domaintable
		echo "domaintable.db update OK"
	else
		echo "domaintable doesn't exist in /etc/mail"
		exit 1;
	fi
	;;
    mtable)
	if [ -f /etc/mail/mailertable ] ; then
		echo -n "makemap : " 
		makemap hash /etc/mail/mailertable < /etc/mail/mailertable
		echo "mailertable.db update OK"
	else
		echo "mailertable doesn't exist in /etc/mail"
		exit 1;
	fi
	;;
    *)
        echo "Usage: ./makemap.sh { vtable | access | dtable | mtable }"
        exit 1
esac
exit 0
